Subject: Looking For JPEG's /Photos of Desert Plants and Trees

From: [email-masked] (ZELLIE)
Date: 20 Sep 1996 17:41:41 -0400

Looking for a place maybe to download or find someone to trade
JEPG's/Photos of  desert plants for use with my landscape architecture
software.  I have many other plants and trees, not too many sothwest desrt
plants.